Get One
const url = 'https://app.civillo.com/api/v1/example/projects/1/layers/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.civillo.com/api/v1/example/projects/1/layers/1 \ --header 'Authorization: Bearer <token>'Get a detailed representation of a single layer, including revision history and uploader details. Users must have access to the layer in order to view it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The organization nickname
The project id
The layer id
Responses
Section titled “ Responses ”Successful response
object
object
An optional comment about the revision.
The date time of this layer revision.
The unique identifier of this layer revision.
object
A url pointing to the layer source file.
Represents the last time the layer revision source file was modified.
The name of the layer revision source file.
The spatial reference system for this layer revision.
object
The user’s organization.
The user’s job title
The user’s email address
The unique identifier for this user
The full name of this user
object
The user’s organization.
The user’s job title
The user’s email address
The unique identifier for this user
The full name of this user
The date of this layers creation in ISO 8601 format.
The description of the layer.
The download rules for the layer. 0 (default) = allowed, 1 = latest source only, 2 = no downloads allowed. Only available to project admins or above.
The source file name of the latest revision.
If true, this layer is accessible to all users in the project.
The last time this layer was edited in ISO 8601 format.
If true, this layer will be automatically turned on in the project map view.
The date this layer is valid from in ISO 8601 format.
The date this layer is valid until in ISO 8601 format.
The unique identifier for this layer
The unique identifier for this layer
The name of this layer
Example
{ "id": 123, "layerId": 123, "name": "My layer"}Bad Request
Unauthorized
Forbidden
Not Found